<label class="font-weight-bold">Amount</label>
<mat-form-field class="w-100" floatLabel="never">
  <input matInput id="wallet-change-amount-input"
         [(ngModel)]="spendLimit.amount" placeholder="Change Amount"
         currencyMask (keyup)="checkAmountValid()"
         [options]="{ prefix: this.wallet.currencyCode + ' ', thousands: ',', decimal: '.', precision: 0, allowNegative: false}">
</mat-form-field>
<mat-error *ngIf="amountError">
  Please input amount
</mat-error>
<div class="d-flex justify-content-between">
  <div class="ml-2">
    <mat-form-field class="date-picker-input">
      <input matInput [matDatepicker]="pickerStartDate" placeholder="Start Date" [(ngModel)]="spendLimit.startDate"
             (click)="pickerStartDate.open()" (dateInput)="checkStartDatValid()">
      <mat-datepicker-toggle matSuffix [for]="pickerStartDate"></mat-datepicker-toggle>
      <mat-datepicker #pickerStartDate></mat-datepicker>
    </mat-form-field>
    <mat-error *ngIf="startDateError" class="d-block">
      Please input valid start date
    </mat-error>
  </div>
  <div class="mr-2">
    <mat-form-field class="date-picker-input">
      <input matInput [matDatepicker]="pickerEndDate" placeholder="End Date" [(ngModel)]="spendLimit.endDate"
             (click)="pickerEndDate.open()" (dateInput)="checkEndDateValid()">
      <mat-datepicker-toggle matSuffix [for]="pickerEndDate"></mat-datepicker-toggle>
      <mat-datepicker #pickerEndDate></mat-datepicker>
    </mat-form-field>
    <mat-error *ngIf="endDateError" class="d-block">
      Please input valid end date
    </mat-error>
  </div>
</div>
<button id="update-spend-limit-button" class="mr-2" mat-raised-button (click)="onUpdateSpendLimit()">Update</button>
<button id="delete-spend-limit-button" class="mr-2" mat-raised-button (click)="onDeleteSpendLimit()" matTooltip="Delete this Spend Limit"><mat-icon>delete</mat-icon></button>
<button mat-raised-button (click)="onClose()">Close</button>
